Index: external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc
===================================================================
--- external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/CDFCones/JetCluAlgorithm.cc	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -28,4 +28,5 @@
 #include <algorithm>
 #include <cmath>
+#include <cstdlib>
 
 #include <fastjet/internal/base.hh>
@@ -79,6 +80,6 @@
 	  if ((iEtaPreClusterTower >= 8 && iEtaPreClusterTower < 14) || (iEtaPreClusterTower >= 38 && iEtaPreClusterTower < 44))
 	    iPhiPreClusterTower = iPhiPreClusterTower/2;
-	  int dIEta = abs(iEtaSeedTower - iEtaPreClusterTower);
-	  int dIPhi = abs(iPhiSeedTower - iPhiPreClusterTower);
+	  int dIEta = std::abs(iEtaSeedTower - iEtaPreClusterTower);
+	  int dIPhi = std::abs(iPhiSeedTower - iPhiPreClusterTower);
 	  if(dIPhi > 12)
 	    dIPhi = 24 - dIPhi;
Index: external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/D0RunICone/fastjet/D0RunIConePlugin.hh	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -30,5 +30,5 @@
 //ENDHEADER
 
-#include "D0RunIBaseConePlugin.hh"
+#include "fastjet/D0RunIBaseConePlugin.hh"
 
 // questionable whether this should be in fastjet namespace or not...
Index: external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh
===================================================================
--- external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/D0RunICone/fastjet/D0RunIpre96ConePlugin.hh	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -30,5 +30,5 @@
 //ENDHEADER
 
-#include "D0RunIBaseConePlugin.hh"
+#include "fastjet/D0RunIBaseConePlugin.hh"
 
 // questionable whether this should be in fastjet namespace or not...
Index: external/fastjet/plugins/D0RunIICone/ConeSplitMerge.hpp
===================================================================
--- external/fastjet/plugins/D0RunIICone/ConeSplitMerge.hpp	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/D0RunIICone/ConeSplitMerge.hpp	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -75,5 +75,5 @@
 {
 public:
-  bool operator()(const ProtoJet<Item> & first, const ProtoJet<Item> & second)
+  bool operator()(const ProtoJet<Item> & first, const ProtoJet<Item> & second) const
   {
     if ( first.pT() > second.pT() ) return true;
Index: external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh
===================================================================
--- external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/GridJet/fastjet/GridJetPlugin.hh	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -75,4 +75,13 @@
   virtual double R() const;
 
+  /// returns the actual rapidity spacing of the grid
+  double drap()   const {return _dy;}
+  /// returns the actual phi spacing of the grid
+  double dphi() const {return _dphi;}
+  /// returns the minimum rapidity of the grid
+  double rapmin() const {return _ymin;}
+  /// returns the maximum rapidity of the grid
+  double rapmax() const {return _ymax;}
+
 private:
 
Index: external/fastjet/plugins/SISCone/AUTHORS
===================================================================
--- external/fastjet/plugins/SISCone/AUTHORS	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/SISCone/AUTHORS	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -7,5 +7,4 @@
 
 	 (2) PH-TH, CERN, CH-1211 Geneva 23, Switzerland;
-             Physics Department, Princeton University, Princeton NJ 08544, USA;
              LPTHE, UPMC (Univ. Paris 6), 75252 Paris cedex 05, France.
 
@@ -14,3 +13,3 @@
 
 email  : soyez@fastjet.fr
-         salam@lpthe.jussieu.fr
+         gavin.salam@cern.ch
Index: external/fastjet/plugins/SISCone/SISConePlugin.cc
===================================================================
--- external/fastjet/plugins/SISCone/SISConePlugin.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/SISCone/SISConePlugin.cc	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -5,6 +5,6 @@
 
 // sisocne stuff
-#include "momentum.h"
-#include "siscone.h"
+#include "siscone/momentum.h"
+#include "siscone/siscone.h"
 
 // other stuff
Index: external/fastjet/plugins/SISCone/config.h
===================================================================
--- external/fastjet/plugins/SISCone/config.h	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/SISCone/config.h	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -49,5 +49,5 @@
 
 /* Define to the full name and version of this package. */
-#define PACKAGE_STRING "SISCone 2.0.5"
+#define PACKAGE_STRING "SISCone 2.0.6"
 
 /* Define to the one symbol short name of this package. */
@@ -55,8 +55,8 @@
 
 /* Define to the home page for this package. */
-#define PACKAGE_URL ""
+/* #undef PACKAGE_URL */
 
 /* Define to the version of this package. */
-#define PACKAGE_VERSION "2.0.5"
+#define PACKAGE_VERSION "2.0.6"
 
 /* Define to 1 if you have the ANSI C header files. */
@@ -64,3 +64,3 @@
 
 /* Version number of package */
-#define VERSION "2.0.5"
+#define VERSION "2.0.6"
Index: external/fastjet/plugins/SISCone/siscone.cc
===================================================================
--- external/fastjet/plugins/SISCone/siscone.cc	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/fastjet/plugins/SISCone/siscone.cc	(revision d69dfe4aebfe1009f10ecbbabd92ce813ba93f3e)
@@ -29,5 +29,5 @@
 //#else
 //#define PACKAGE_NAME "SISCone"
-//#define VERSION "1.4.0-devel"
+//#define VERSION "2.0.6"
 //#warning "No config.h file available, using preset values"
 //#endif
